extern crate i_can_has_cat;
use i_can_has_cat::Cats;
use std::env;

fn main() {
    let cats = Cats::new();
    match env::args().nth(1).as_ref().map(|arg| arg.as_str()) {
        Some("random") => {
            match env::args().nth(2).as_ref().map(|arg| arg.as_str()) {
                Some(category) => println!("{:?}", cats.random_image_of_category(category).unwrap()),
                None => println!("{:?}", cats.random_image().unwrap())
            }
        },
        Some(_) => println!("{:?}", cats.categories()),
        None => println!("{:?}", cats.categories())
    }
}
