# I Can Has Cat
[The Cat API](http://thecatapi.com/) client in Rust.

## Usage
### Command Line
* `cargo run`: output list of categories
* `cargo run random`: output random cat
* `cargo run random <category>` output random cat of category

### Library

    use i_can_has_cat::Cats;
    let cats = Cats::new();
    let categories = cats.categories();
    let random_cat = cats.random_image();
    let random_cat_of_breed = cats.random_image_of_category("<category>");
